Subject: [bug#54563] [PATCH] gnu: Add wsdd.

From: Maxime Devos <[email-masked]>
Date: Mon, 04 Apr 2022 23:58:34 +0200

Simon Streit schreef op ma 04-04-2022 om 20:48 [+0200]:
> Hello Maxime,
> 
> Maxime Devos <[email-masked]> writes:
> 
> > Simon Streit schreef op vr 25-03-2022 om 12:46 [+0100]:
> > > +       (uri (git-reference (url "https://github.com/christgau/wsdd")
> > > +                           (commit (string-append "v" version))))
> > 
> > This uses NetlinkAddressMonitor, which is Linux-specific.  Could
> > 'supported-systems' be set to only Linux targets (and not, say,
> > GNU/Hurd)?
> 
> I just figured you are meaning that WSDD only supports Linux specific
> systems?  It appears so after reading the source code.  I can't tell if
> it will work in GNU/Hurd though.  Should the package declaration be
> modified to reflect this limitation? 

netlink is IIUC (currently) a Linux-specific interface.  Though
<https://github.com/christgau/wsdd/issues/80> mentions FreeBSD so maybe
it's ok after all.  As such, I would optimistically assume it works on
the Hurd as well.

Greetings,
Maxime.